Bug 732484 - Review Request: perl-Digest-Perl-MD5 - Perl implementation of Ron Rivest's MD5 Algorithm
Summary: Review Request: perl-Digest-Perl-MD5 - Perl implementation of Ron Rivest's MD...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 731907
TreeView+ depends on / blocked
 
Reported: 2011-08-22 15:52 UTC by Paul Howarth
Modified: 2011-09-09 08:26 UTC (History)
3 users (show)

Fixed In Version: perl-Digest-Perl-MD5-1.8-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 08:26:23 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-08-22 15:52:32 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Digest-Perl-MD5/branches/fedora/perl-Digest-Perl-MD5.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Digest-Perl-MD5/perl-Digest-Perl-MD5-1.8-1.fc17.src.rpm

Description:
A pure-perl implementation of Ron Rivest's MD5 Algorithm.


This package is needed in order to update perl-Spreadsheet-ParseExcel to 0.59 (Bug #731907), which introduces use of this module. In theory it would be interchangeable with the faster Digest::MD5 module but unfortunately perl-Spreadsheet-ParseExcel accesses a private data structure within this package rather than using the proper API, which makes it incompatible with Digest::MD5.

Comment 1 Petr Šabata 2011-08-22 17:23:31 UTC
Package: perl-Digest-Perl-MD5
Version: 1.8
Release: 1.fc15
Sources: Digest-Perl-MD5-1.8.tar.gz
Patches: 
----------
Package successfully built locally.
Package successfully built in mock, fedora-rawhide-x86_64.
Package successfully built in mock, fedora-rawhide-i386.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[ FAIL ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  --  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[ NOTE ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
FAIL: perl(Exporter) and perl(Test) are required for test.pl; add those to BR
NOTE: BuildRoot tag and %defattr are present; is this required for EPEL6? (considering bug 731907)

Comment 2 Paul Howarth 2011-08-22 17:46:08 UTC
(In reply to comment #1)
> FAIL: perl(Exporter) and perl(Test) are required for test.pl; add those to BR

Fixed in -2:

Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Digest-Perl-MD5/branches/fedora/perl-Digest-Perl-MD5.spec

SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Digest-Perl-MD5/perl-Digest-Perl-MD5-1.8-2.fc17.src.rpm

> NOTE: BuildRoot tag and %defattr are present; is this required for EPEL6?
> (considering bug 731907)

Not for EPEL-6, but this is old code and the package builds cleanly on EPEL-4 and EPEL-5 too, and it's needed there.

Comment 3 Petr Šabata 2011-08-22 18:07:27 UTC
Okay.  Seems good now, approving.

Comment 4 Paul Howarth 2011-08-22 19:36:46 UTC
New Package SCM Request
=======================
Package Name: perl-Digest-Perl-MD5
Short Description: Perl implementation of Ron Rivest's MD5 Algorithm
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-14 F-15 F-16
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2011-08-23 13:10:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-08-23 15:01:14 UTC
perl-Digest-Perl-MD5-1.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Digest-Perl-MD5-1.8-2.fc15

Comment 7 Fedora Update System 2011-08-23 15:01:28 UTC
perl-Digest-Perl-MD5-1.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Digest-Perl-MD5-1.8-2.el6

Comment 8 Fedora Update System 2011-08-23 15:01:36 UTC
perl-Digest-Perl-MD5-1.8-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Digest-Perl-MD5-1.8-2.el5

Comment 9 Fedora Update System 2011-08-23 15:01:46 UTC
perl-Digest-Perl-MD5-1.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Digest-Perl-MD5-1.8-2.fc14

Comment 10 Fedora Update System 2011-08-23 15:01:58 UTC
perl-Digest-Perl-MD5-1.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Digest-Perl-MD5-1.8-2.fc16

Comment 11 Fedora Update System 2011-08-23 15:02:08 UTC
perl-Digest-Perl-MD5-1.8-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Digest-Perl-MD5-1.8-2.el4

Comment 12 Fedora Update System 2011-09-07 00:05:12 UTC
perl-Digest-Perl-MD5-1.8-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-09-07 00:12:09 UTC
perl-Digest-Perl-MD5-1.8-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-09-07 03:29:04 UTC
perl-Digest-Perl-MD5-1.8-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2011-09-08 23:57:36 UTC
perl-Digest-Perl-MD5-1.8-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 16 Fedora Update System 2011-09-09 00:01:41 UTC
perl-Digest-Perl-MD5-1.8-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2011-09-09 00:02:50 UTC
perl-Digest-Perl-MD5-1.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Paul Howarth 2011-09-09 08:26:23 UTC
All builds now in stable.

Thanks for the review Petr.


Note You need to log in before you can comment on or make changes to this bug.